{ lib, pkgs, buildGoModule, ... }:

buildGoModule {
  pname = "caddy";
  version = pkgs.caddy.version;
  src = ./.;
  vendorHash = "sha256-N32VAGucoFQzzMpvur2GScdB6IdTlno3hptMxDxtbX0=";

  tags = [
    "nobadger"
    "nomysql"
    "nopgx"
  ];

  postInstall =
    ''
      install -Dm644 caddy.service caddy-api.service -t $out/lib/systemd/system

      substituteInPlace $out/lib/systemd/system/caddy.service \
        --replace-fail "/usr/bin/caddy" "$out/bin/caddy"
      substituteInPlace $out/lib/systemd/system/caddy-api.service \
        --replace-fail "/usr/bin/caddy" "$out/bin/caddy"
    '';

  meta = {
    description = "Fast and extensible multi-platform HTTP/1-2-3 web server with automatic HTTPS";
    homepage = "https://github.com/caddyserver/caddy";
    license = lib.licenses.asl20;
    mainProgram = "caddy";
  };
}
